package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.domain.EngineMaintenance;
import com.muyu.req.EngineMaintenanceQueryReq;
import com.muyu.service.EngIneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.controller
 * @Project：cloud-etl-engine
 * @name：EngIneController
 * @Date：2024/8/22 15:36
 */
@RestController
@RequestMapping("/engine")
public class EngIneController extends BaseController {

    @Autowired
    EngIneService engIneService;

    @GetMapping("/getMaintenanceList")
    public Result<List<EngineMaintenance>> getMaintenanceList(@RequestBody  EngineMaintenance engineMaintenanceQueryReq) {
        List<EngineMaintenance> list = engIneService.list(engineMaintenanceQueryReq);
        return Result.success(list);
    }

    /**
     * 查询引擎维护列表
     */
    @RequiresPermissions("rule-engine:maintenance:list")
    @GetMapping("/list")
    public Result<TableDataInfo<EngineMaintenance>> list() {
        startPage();
        List<EngineMaintenance> list = engIneService.list();
        return getDataTable(list);
    }
}
