package com.muyu.service.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.domain.EngineMaintenance;
import com.muyu.mapper.EngineMapper;
import com.muyu.req.EngineMaintenanceQueryReq;
import com.muyu.service.EngIneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service.serviceImpl
 * @Project：cloud-etl-engine
 * @name：EngIneServiceImpl
 * @Date：2024/8/22 15:37
 */
@Service
public class EngIneServiceImpl extends ServiceImpl<EngineMapper, EngineMaintenance> implements EngIneService {

    @Autowired
    EngineMapper engineMapper;

    @Override
    public List<EngineMaintenance> list(EngineMaintenance engineMaintenance) {
        LambdaQueryWrapper<EngineMaintenance> queryWrapper = new LambdaQueryWrapper<>();


        if (StringUtils.isNotNull(engineMaintenance.getName())) {
            queryWrapper.like(EngineMaintenance::getName, engineMaintenance.getName());
        }

        if (StringUtils.isNotNull(engineMaintenance.getType())) {
            queryWrapper.eq(EngineMaintenance::getType, engineMaintenance.getType());
        }

        if (StringUtils.isNotNull(engineMaintenance.getScope())) {
            queryWrapper.eq(EngineMaintenance::getScope, engineMaintenance.getScope());
        }

        if (StringUtils.isNotNull(engineMaintenance.getEngineCode())) {
            queryWrapper.eq(EngineMaintenance::getEngineCode, engineMaintenance.getEngineCode());
        }

        if (StringUtils.isNotNull(engineMaintenance.getIsActivate())) {
            queryWrapper.eq(EngineMaintenance::getIsActivate, engineMaintenance.getIsActivate());
        }

        if (StringUtils.isNotNull(engineMaintenance.getStatus())) {
            queryWrapper.eq(EngineMaintenance::getStatus, engineMaintenance.getStatus());
        }

        return list(queryWrapper);
    }
}
